## GstBtAudioDelay GstBtAudioDelay — audio echo effect |

## Properties

guint | delaytime | Read / Write
guint | drywet | Read / Write
guint | feedback | Read / Write

## Types and Values

struct | GstBtAudioDelay

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstBtAudioDelay

## Implemented Interfaces

GstBtAudioDelay implements GstBtTempo.

## Description

### Example launch line

Echo effect with controllable effect-ratio, delay-time and feedback.

    gst-launch-1.0 filesrc location="melo1.ogg" ! decodebin ! audioconvert ! audiodelay drywet=50 delaytime=25 feedback=75 ! autoaudiosink
    gst-launch-1.0 autoaudiosrc ! audiodelay delaytime=25 feedback=75 ! autoaudiosink

In the latter example the echo is applied to the input signal of the soundcard (like a microphone).

## Functions

## Types and Values

### struct GstBtAudioDelay

    struct GstBtAudioDelay;

Class instance data.

## Property Details

### The `“delaytime”` property

      “delaytime”                guint

Time difference between two echos as milliseconds.

Flags: Read / Write

Allowed values: [1,1000]

Default value: 100

### The `“drywet”` property

      “drywet”                   guint

Intensity of effect (0 none -> 100 full).

Flags: Read / Write

Allowed values: <= 100

Default value: 50

### The `“feedback”` property

      “feedback”                 guint

Echo feedback in percent.

Flags: Read / Write

Allowed values: <= 99

Default value: 50